# Uses of Interface
org.apache.commons.fileupload2.core.FileItemHeaders

Packages that use FileItemHeaders
Package
Description
org.apache.commons.fileupload2.core
A component for handling HTML file uploads as specified by RFC 1867.

## Uses of FileItemHeaders in org.apache.commons.fileupload2.core

Methods in org.apache.commons.fileupload2.core that return FileItemHeaders
Modifier and Type
Method
Description
`FileItemHeaders`
FileItemFactory.AbstractFileItemBuilder.`getFileItemHeaders()`
Gets the field item headers.
`FileItemHeaders`
DiskFileItem.`getHeaders()`
Gets the file item headers.
`FileItemHeaders`
FileItemHeadersProvider.`getHeaders()`
Gets the collection of headers defined locally within this item.
`FileItemHeaders`
AbstractFileUpload.`getParsedHeaders(String headerPart)`
Parses the `header-part` and returns as key/value pairs.
`protected FileItemHeaders`
AbstractFileUpload.`newFileItemHeaders()`
Creates a new instance of `FileItemHeaders`.
`static FileItemHeaders`
FileItemFactory.AbstractFileItemBuilder.`newFileItemHeaders()`
Create a new FileItemHeaders implementation.
Methods in org.apache.commons.fileupload2.core with parameters of type FileItemHeaders
Modifier and Type
Method
Description
`String`
AbstractFileUpload.`getFieldName(FileItemHeaders headers)`
Gets the field name from the `Content-disposition` header.
`String`
AbstractFileUpload.`getFileName(FileItemHeaders headers)`
Gets the file name from the `Content-disposition` header.
`B`
FileItemFactory.AbstractFileItemBuilder.`setFileItemHeaders(FileItemHeaders fileItemHeaders)`
Sets the file item headers.
`DiskFileItem`
DiskFileItem.`setHeaders(FileItemHeaders headers)`
Sets the file item headers.
`T`
FileItemHeadersProvider.`setHeaders(FileItemHeaders headers)`
Sets the headers read from within an item.